using System;

class HelloWorld {
	static void Main() {
		string[] s = Console.ReadLine().Split();
		int n = int.Parse(s[0]);
		int l = int.Parse(s[1]);

		string[] s1 = Console.ReadLine().Split();
		int[] h = new int[n];
		for (int i = 0; i < n; i++)
		{
			h[i] = int.Parse(s1[i]);
		}

		int rbstalaktita = -1;
		for (int i = 0; i < n; i++)
		{
			if (h[i] <= l)
			{
				rbstalaktita = i + 1;
				break;
			}
		}

		Console.WriteLine(rbstalaktita);
	}
}